libqglviewer (2.5.3+dfsg-4) unstable; urgency=medium

  * [2a21535] Remove unnecessary dependency on dpkg. 
              It is provided by ${misc:Pre-Depends}.

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Jan 2015 21:16:43 +0100

libqglviewer (2.5.3+dfsg-3) unstable; urgency=medium

  * [29d85d1] Add pre-depends for libqglviewer2 on dpkg (>= 1.17.14).
              Thanks to Jonathan Wiltshire <jmw@debian.org>.
              (Closes: #774866)

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Jan 2015 12:04:46 +0100

libqglviewer (2.5.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libqglviewer2.maintscript: Handle symlink to directory conversion.
    (Closes: #774866)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2015 23:26:55 +0100

libqglviewer (2.5.3+dfsg-2) unstable; urgency=medium

  * [457d748] Add Breaks/Replaces for old binary libqglviewer-dev-common.
              (Closes: #768207)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Nov 2014 06:35:39 +0100

libqglviewer (2.5.3+dfsg-1) unstable; urgency=medium

  * [7cfcfbf] Imported Upstream version 2.5.3+dfsg

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Sep 2014 17:57:04 +0200

libqglviewer (2.5.2+dfsg-1) unstable; urgency=medium

  * [bbc42e6] Update copyright. Add Files-Excluded.
  * [10d0d29] Remove some not-needed files.
  * [9c04edf] Imported Upstream version 2.5.2+dfsg
  * [b8e8aee] Remove deprecated conflicts/replaces in control file.
  * [73ab38a] Add autotest.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 May 2014 21:31:54 +0200

libqglviewer (2.5.1+dfsg-1) unstable; urgency=medium

  * [dfdaa3a] Imported Upstream version 2.5.1+dfsg

 -- Anton Gladky <gladk@debian.org>  Sat, 01 Mar 2014 15:11:16 +0100

libqglviewer (2.5.0+dfsg-1) unstable; urgency=medium

  * [ce7c0ab] Add script to remove non-free files. (Closes: #736956)
  * [3502738] Imported Upstream version 2.5.0+dfsg

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Feb 2014 19:48:59 +0100

libqglviewer (2.5.0-1) unstable; urgency=medium

  * [f80a053] Imported Upstream version 2.5.0
  * [c07abbe] Use wrap-and-sort.
  * [89d8250] Remove google adsense-scripts.
  * [4224be5] Set Standards-Versions: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Sat, 28 Dec 2013 14:57:47 +0100

libqglviewer (2.4.0-1) unstable; urgency=low

  * [1bf1ca4] Remove Artur from uploaders.
  * [c81b1f0] Imported Upstream version 2.4.0
  * [26c8367] Remove old patches.
  * [4d91989] Remove NEWS file.
  * [e2b0605] Use canonical VCS-field.
  * [d6e9d00] Use packaged jquery instead of embedded.
  * [1ad26fd] Clean and simplify debian/rules. (Closes: #724108)

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Oct 2013 21:16:26 +0200

libqglviewer (2.3.17-2) unstable; urgency=low

  * [0082c8f] Minor update in control.
  * [e2912bf] Remove comments in debian/watch.
  * [b1ecc98] Add descriptions to patches.
  * [49aaf7c] Clean in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 21:40:37 +0200

libqglviewer (2.3.17-1) experimental; urgency=low

  [ Artur R. Czechowski ]
  * New upstream release:
    + uses CONFIG += no_keywords so that the library can be used with Boost
      (LP: #414975) (Closes: #697660)
  * Using upstream name convention: libQGLViewer instead of libqglviewer
  * Don't build Qt3 version anymore
  * Drop no longer needed patches:
    + 01qt3-qt4
    + 04glu-include
    + 99compile-examples
  * Convert to 3.0 (quilt) format
    + remove dpatch from Build-Deps and all calls from debian/rules
    + update patches in debian/patches
    + replace debian/00list with debian/series
    + remove README.source
    + rename remaining patches - remove NN prefix
  * Pass multiarch related LIB_DIR to qmake in debian/rules
  * Lintian cleanup:
    + fix descriptions
    + libqglviewer-qt4-2 depends on ${misc:Depends}
    + build-arch and build-indep provided in debian/rules
  * Update Standards-Version to 3.9.3
    + sort Breaks/Replaces/Provides dependencies for transition
  * Remove transition related stuff. The dev package is libqglviewer-dev,
    the shared library package is libqglviewer2.
  * Headers moved from libqglviewer-dev-common to libqglviewer-dev
  * Documentation moved from libqglviewer-dev-common to new libqglviewer-doc
  * Remove debian/README.Multiflavour and other qt3 related artifacts from
    debian/
  * README.Debian cleanup
    + Merge all *.README.Debian into one file - the content is the same
    + Corrected upstream name in README.Debian
    + Updated URL of homepage
  * Provide upstreams GPL_EXCEPTION file, mention it in copyright one.
  * Tighten shlibs dependencies, as upstream confirmed no ABI compatibility
    is assured between even minor releases
  * Hardening the binaries
    + build depends on dpkg-dev > 1.16.1~
    + use dpkg-buildflags
    + pass build flags to qmake
    + don't remove -g option in qmake - new patch: compile-with--g-option
    + add lintian overrides for false positive hardening-no-stackprotector
      warning, see #673112

  [ Anton Gladky ]
  * [4b87fd4] Use compat-level 9.
  * [2a3db76] Clean in rules-file.
  * [51c8386] Use override_dh commands.
  * [b79d40d] Use DEP-5 for copyright-file. 
              Remove adding exception in each package.
  * [934a9b8] Remove compile-with--g-option patch. The -g options is transmitted
              with other CFLAGS in debian/rules.
  * [173c034] Remove olsolete DM-Upload-Allowed flag.
  * [e694744] Change maintainership to Debian-Science Team. (Closes: #688520)
  * [f0627f1] Remove symlink of copyright-file during upgrade. (Closes: #691441)
  * [f79e4f8] Properly remove old binaries.
  * [1a200fe] Bumped Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Jan 2013 23:07:30 +0100

libqglviewer (2.3.4-4.1) unstable; urgency=low

  * Non-maintainer upload. (Closes: #662702)

  [ Daniel T Chen ]
  * debian/rules: Use Qt4 multiarch lib path. Fixes FTBFS.

  [ Felix Geyer ]
  * Add 04glu-include.dpatch to fix FTBFS with Qt 4.8.
  * Add 05glu-link.dpatch to make libqglviewer-qt4 link against libGLU.
  * Add Pre-Depends: ${misc:Pre-Depends} to libqglviewer-qt4-2.
  * Mark libqglviewer-qt4-2 as Multi-Arch: same.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 May 2012 01:53:58 -0400

libqglviewer (2.3.4-4) unstable; urgency=high

  * reupload with high urgency

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 08 Dec 2010 20:42:00 +0000

libqglviewer (2.3.4-3) unstable; urgency=low

  * only typo fixes, urgency high
  * fixed typo in description of libqglviewer-qt4-dev (Closes: #584182)
  * fixed typo in description of libqglviewer-dev (Closes: #605885)

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 08 Dec 2010 19:11:33 +0000

libqglviewer (2.3.4-2) unstable; urgency=low

  * dummy packages libqglviewer-dev and libqglviewer2 have a Priority: extra
    now
  * remove symlinks /usr/include/qglviewer-qt[34] pointing
    to /usr/include/QGLViewer, no package shall use them
  * README.Multiflavour is updated
  * fixes for following problems spotted by Joahim Reichel:
    + to avoid dangling transition symlinks when upstream version is changed
      version is taken from dpkg-parsechangelog now instead of hardcoded string
    + new patch: 03only-headers-in-include-dir.dpatch - do not install files
      other than headers in include directory
    + make sure that Qt4 is used to compile examples, if not - error message
      is thrown
  * Adding Depends: ${misc:Depends} to quiet the lintian

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 02 Jan 2010 19:39:31 +0000

libqglviewer (2.3.4-1) unstable; urgency=low

  * new upstream release
  * update debhelper compat version to 7, updated dependecy
    + remove superfluous debian/*.install files.
    + replace dh_clean -k with dh_prep
  * update standard version to 3.8.3 (no changes required)
  * examples are now compilable using libqglviewer-qt4-dev,
    new patch: 99compile-examples.dpatch (Closes: #534495)
  * plugin for qt-designer, both for Qt3 and Qt4 version
    (updated 01qt3-qt4.dpatch), available in -dev packages

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 02 Nov 2009 21:38:20 +0000

libqglviewer (2.3.1-4) experimental; urgency=low

  * some improvements about mutliflavour transition stuff
  * multiflavour and transition details are described in
    README.Multiflavour
  * dev packages contains only .so and .a files
  * new package: libqglviewer-dev-common introduced, contains headers
    and documentation
  * due to above includes are in sane location again, however it does
    not fully fixes the bug it's all what can be done at the moment,
    (Closes: #522659)
  * /usr/include/qglviewer-qt3 and /usr/include/qglviewer-qt4 are symlinks
    pointing to /usr/include/QGLViewer for a short time
  * added GPL_EXCEPTION for non-compatible licences, see the file
    for details
  * example sources are added, available in
    /usr/share/doc/libqglviewer-dev-common/examples

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 11 Oct 2009 21:03:01 +0000

libqglviewer (2.3.1-3) unstable; urgency=low

  * upload to unstable

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 16 Mar 2009 22:14:47 +0000

libqglviewer (2.3.1-2) experimental; urgency=low

  * This release is focused for transition from qt3-only version
    to qt3 and qt4 flavours available as unobtrusive as possible.
    + libqglviewer-dev: add symlinks:
      - /usr/lib/libqglviewer.a -> /usr/lib/libqglviewer-qt3.a
      - /usr/lib/libqglviewer.prl -> /usr/lib/libqglviewer-qt3.prl
      - /usr/include/QGLViewer -> /usr/include/qglviewer-qt3
      - /usr/lib/libqglviewer.so -> /usr/lib/libqglviewer-qt3.so.2.3.1
    + debian/rules: updated symlinks for dynamic libraries versions
    + new dummy package libqglviewer2 depending on libqglviewer-qt3-2
      for smoother transition for satysfying versioned dependency
    + libqglviewer-qt3-2 conflicts with versions of libqglviewer2 before
      transition and no more replaces libqglviewer2.
    + updated transition notes in debian/NEWS
  * fixed typo in debian/changelog
  * debian/copyright: correct typo in licence filename (GPL2 -> GPL-2)

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 26 Feb 2009 13:08:22 +0100

libqglviewer (2.3.1-1) experimental; urgency=low

  * New upstream release
    + compiles with gcc-snapshot 20090224-1 (Closes: #505057)
  * regenerate all patches in debian/patches
  * updated patches:
    + 01qt3-qt4: upstream switched to Qt4, but we still want Qt3 flavour
    + 02staticlib-install: contrary to upstream intentions we want to provide
      static libraries
  * removed patches:
    + 03fix-compilation-with-gcc-4.3: applied upstream
  * debian/rules:
    + there is no Makefile.Release generated for Qt4 flavour, run
      $(MAKE) staticlib
      instead of
      $(MAKE) -f Makefile.Release staticlib 
    + removed superfluous dependency in clean1 target to fix FTBFS on some
      architectures, thanks to Thiemo Seufer (Closes: #495115)
  * New homepage for project:
    + set Homepage in debian/control
    + updated debian/watch
    + updated debian/copyright
  * debian/copyright: refers to GPL2 instead of GPL to make lintian happy
  * Update package to Standards-Version 3.8.0
    + change in debian/control
    + copy README.source from dpatch

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 25 Feb 2009 23:44:25 +0100

libqglviewer (2.2.6-3-4) experimental; urgency=low

  * libqglviewer in two flavours: linked with qt3 and qt4 (Closes: #471893,
    #477387)
  * See NEWS.Debian for other details about transition
  * Updated description
  * DM-Upload-Allowed: yes

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 29 Jun 2008 21:30:10 +0200

libqglviewer (2.2.6-3-3) unstable; urgency=low

  * Really install libqglviewer.a for static linking (Closes: #471711)

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 20 Mar 2008 17:10:19 +0100

libqglviewer (2.2.6-3-2) unstable; urgency=low

  * Using dpatch to manage patches, adding dpatch to Build-depends.
  * Move old changes to dpatch:
    - 01lower-case-name
    - 02staticlib-install
  * New patches:
    - 03fix-compilation-with-gcc-4.3 (Closes: #456065)
  * Fixed dependencies in libqglviewer-dev to allow to use non-standard
    GL libraries, depends on libgl1-mesa-dev | libgl-dev instead of
    xlibmesa-gl-dev (Closes: #470958)
  * debian/rules: remove libqglviewer.prl in clean rule too
  * Add proper line to debian/copyright to cool off the lintian
  * Fixed section on doc-base file
  * Update Standards-Version to 3.7.3, no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 16 Mar 2008 11:27:28 +0100

libqglviewer (2.2.6-3-1) unstable; urgency=low

  * New upstream release

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 14 Oct 2007 21:22:51 +0200

libqglviewer (2.2.2-3-2) unstable; urgency=low

  * make distclean instead make clean in debian/rules clean to avoid FTBFS
    when build twice in a row (Closes: #442651)

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 16 Sep 2007 21:25:40 +0200

libqglviewer (2.2.2-3-1) unstable; urgency=low

  * Initial Debian release (Closes: #208073)

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 26 Jul 2007 23:45:42 +0200

